Subject: Re: bug#28154: 26.0.50; suggestion to improve bug reporting interface for users who use webmail

From: Ted Zlatanov <[email-masked]>
Date: Mon, 21 Aug 2017 10:20:44 -0400

On Sun, 20 Aug 2017 00:45:40 -0400 Zachary Kanfer <[email-masked]> wrote: 
ZK> I think we could provide these users a better user
ZK> experience. Currently, when trying to send the bug, if email is not set
ZK> up, Emacs presents three options: mail client, transport, and smtp. We
ZK> could add a fourth option, "send manually", where this option copies the
ZK> body of the text to the system clipboard, so the user could switch to
ZK> their browser and paste it. The command could even allow the user to
ZK> come back, press RET, then copy the subject, and a third time for the
ZK> address to send to.

mailto URLs generally support some options; a short body and subject
could be specified like this:

<a href=”mailto:[email-masked]?subject=Bug%20Report&body=Hi%0Athere%20″>

Which would DTRT on many users' desktops. So maybe that would be an option?

Ted